=== debian/changelog ===
libofetion (2.1.0-0ubuntu1) natty; urgency=low

  [ Aron Xu ]
  * Initial release (Closes: #608047).

  [ Zhengpeng Hou ]
  * Change Maintainer field accordingly.

 -- Zhengpeng Hou <zhengpeng-hou@ubuntu.com>  Mon, 27 Dec 2010 14:09:55 +0800
