=== debian/control ===
Source: libofetion
Section: libs
Priority: optional
Maintainer: Ubuntu MOTU Developers <ubuntu-motu@lists.ubuntu.com>
XSBC-Original-Maintainer: Aron Xu <happyaron.xu@gmail.com>
Build-Depends: debhelper (>= 7), cmake, libxml2-dev, libssl-dev, libsqlite3-dev, pkg-config
Standards-Version: 3.9.1
Homepage: http://code.google.com/p/ofetion/

Package: libofetion1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libofetion0
Description: open source implemention of fetion protocol library
 Fetion is an IM provided by China Mobile, with features like, text chat,
 voice call, file sharing, etc.
 .
 openfetion is an opensource client of Fetion with limited features.
 It's small and fast, and is better in look.
 .
 This package provides the library files.

Package: libofetion-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libofetion1 (= ${binary:Version})
Conflicts: libofetion-dev
Description: open source implemention of fetion protocol library - development files
 Fetion is an IM provided by China Mobile, with features like, text chat,
 voice call, file sharing, etc.
 .
 openfetion is an opensource client of Fetion with limited features.
 It's small and fast, and is better in look.
 .
 This package provides the library development files.
