## libofetion 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,43 +5,19 @@
 
 
 # program name, version etc
-set(OFETION_VERSION_MAJOR "2")
-set(OFETION_VERSION_MINER "1")
-set(OFETION_VERSION_PATCH "0")
+set(LIBOFETION_API_VERSION "1.2.0")
 
-# library API version
-set(LIBOFETION_MAJOR_VERSION "1")
-set(LIBOFETION_MINOR_VERSION "1")
-set(LIBOFETION_PATCH_VERSION "0")
+set(LIBOFETION_ABI_VERSION "1.2.0")
+set(LIBOFETION_ABI_MAJOR_VERSION "1")
 
-# library ABI version
-set(LIBOFETION_SO_CUR_VERSION "1")
-set(LIBOFETION_SO_REV_VERSION "0")
-set(LIBOFETION_SO_AGE_VERSION "0")
-
-set(LIBOFETION_VERSION_STRING
-    "${LIBOFETION_MAJOR_VERSION}.${LIBOFETION_MINOR_VERSION}.${LIBOFETION_PATCH_VERSION}"
-)
-set(LIBOFETION_SO_VERION_STRING
-    "${LIBOFETION_SO_CUR_VERSION}.${LIBOFETION_SO_REV_VERSION}.${LIBOFETION_SO_AGE_VERSION}"
-)
-
-set(PACKAGE_VERSION "${OFETION_VERSION_MAJOR}.${OFETION_VERSION_MINER}.${OFETION_VERSION_PATCH}")
-set(PACKAGE_NAME "openfetion")
+set(PACKAGE_VERSION "2.2.0")
+set(PACKAGE_NAME "${TARNAME}")
 set(PACKAGE_TARNAME "${TARNAME}")
 set(PACKAGE_STRING "${PACKAGE_NAME} ${PACKAGE_VERSION}")
 set(PACKAGE_BUGREPORT "http://code.google.com/p/ofetion/issues/list")
 
 find_package(PkgConfig REQUIRED)
 
-##########################################################################
-if(NOT DEFINED LIB_INSTALL_DIR)
-    set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib")
-endif(NOT DEFINED LIB_INSTALL_DIR)
-if(NOT DEFINED INCLUDE_INSTALL_DIR)
-    set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include/")
-endif(NOT DEFINED INCLUDE_INSTALL_DIR)
-##########################################################################
 if(NOT DEFINED BIN_INSTALL_DIR)
     set(BIN_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/bin")
 endif(NOT DEFINED BIN_INSTALL_DIR)
@@ -52,13 +28,22 @@
     set(DATA_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share")
 endif(NOT DEFINED DATA_INSTALL_DIR)
 if(NOT DEFINED INCLUDE_INSTALL_DIR)
-    set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include")
+    set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include/${PACKAGE_TARNAME}")
 endif(NOT DEFINED INCLUDE_INSTALL_DIR)
+if(NOT DEFINED MAN_INSTALL_DIR)
+    set(MAN_INSTALL_DIR "${DATA_INSTALL_DIR}/man")
+endif(NOT DEFINED MAN_INSTALL_DIR)
+if(NOT DEFINED RESOURCE_INSTALL_DIR)
+    set(RESOURCE_INSTALL_DIR "${DATA_INSTALL_DIR}/libofetion${LIBOFETION_ABI_MAJOR_VERSION}/resource/")
+endif(NOT DEFINED RESOURCE_INSTALL_DIR)
+if(NOT DEFINED LOCALE_INSTALL_DIR)
+    set(LOCALE_INSTALL_DIR "${DATA_INSTALL_DIR}/locale/")
+endif(NOT DEFINED LOCALE_INSTALL_DIR)
 
-add_definitions(-DRESOURCE_DIR="${DATA_INSTALL_DIR}/openfetion/resource/")
+add_definitions(-DRESOURCE_DIR="${RESOURCE_INSTALL_DIR}")
 install(
-FILES resource/city.xml resource/province.xml
-DESTINATION ${DATA_INSTALL_DIR}/openfetion/resource
+	FILES resource/city.xml resource/province.xml
+	DESTINATION ${RESOURCE_INSTALL_DIR}
 )
 pkg_check_modules(LIBXML2 REQUIRED libxml-2.0)
 pkg_check_modules(OPENSSL REQUIRED openssl)
@@ -76,15 +61,7 @@
 
 
 ##########################################################################
-if(NOT DEFINED LIB_INSTALL_DIR)
-    set(LIB_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/lib")
-endif(NOT DEFINED LIB_INSTALL_DIR)
-if(NOT DEFINED INCLUDE_INSTALL_DIR)
-    set(INCLUDE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/include/")
-endif(NOT DEFINED INCLUDE_INSTALL_DIR)
-
-##########################################################################
-add_definitions(-Wall -Wextra)
+add_definitions(-g -Wall -Wextra)
 ##########################################################################
 
 include_directories(
@@ -118,8 +95,8 @@
 target_link_libraries(ofetion ${LIBXML2_LIBRARIES} ${OPENSSL_LIBRARIES} ${SQLITE3_LIBRARIES})
 
 set_target_properties(ofetion PROPERTIES
-    VERSION ${LIBOFETION_SO_VERION_STRING}
-    SOVERSION ${LIBOFETION_SO_CUR_VERSION}
+    VERSION ${LIBOFETION_ABI_VERSION}
+    SOVERSION ${LIBOFETION_ABI_MAJOR_VERSION}
     LINK_FLAGS ${_link_flags}
 )
