=== debian/changelog ===
libofetion (2.2.0-2) unstable; urgency=low

  [ Asias He ]
  * Fix "Getting rid of unneeded *.la / emptying dependency_libs"

 -- Aron Xu <happyaron.xu@gmail.com>  Tue, 17 May 2011 16:51:20 +0800

libofetion (2.2.0-1) unstable; urgency=low

  * Initial release (Closes: #608047).

 -- Aron Xu <happyaron.xu@gmail.com>  Wed, 04 May 2011 19:23:36 +0800
