=== debian/control ===
Source: libofetion
Section: libs
Priority: optional
Maintainer: Aron Xu <happyaron.xu@gmail.com>
DM-Upload-Allowed: yes
Uploaders: Asias He <asias.hejun@gmail.com> 
Build-Depends: debhelper (>= 7), cmake, libxml2-dev, libssl-dev, libsqlite3-dev, pkg-config
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/ofetion/

Package: libofetion1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libofetion0
Description: open source implementation of Fetion protocol library
 Fetion is an IM provided by China Mobile, with features like, text chat,
 voice call, file sharing, etc. Openfetion is an open source client
 implementation of the protocol.
 .
 It only supports core features including Internet SMS service, and
 partial support of group chat.
 .
 This package provides the library files.

Package: libofetion-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libofetion1 (= ${binary:Version})
Conflicts: libofetion-dev
Description: open source implementation of Fetion protocol library - development files
 Fetion is an IM provided by China Mobile, with features like, text chat,
 voice call, file sharing, etc. Openfetion is an open source client
 implementation of the protocol.
 .
 It only supports core features including Internet SMS service, and 
 partial support of group chat.
 .
 This package provides the library development files.
