## libofetion 2.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # program name, version etc
 set(LIBOFETION_API_VERSION "1.2.0")
 
-set(LIBOFETION_ABI_VERSION "1.2.0")
+set(LIBOFETION_ABI_VERSION "1.1.0")
 set(LIBOFETION_ABI_MAJOR_VERSION "1")
 
 set(PACKAGE_VERSION "2.2.0")
