=== debian/changelog ===
libofetion (2.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Mon, 02 Jan 2012 01:45:10 +0800
