=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: libofetion
 Section: libs
 Priority: optional
-Maintainer: Aron Xu <happyaron.xu@gmail.com>
+Maintainer: Debian Chinese Team <chinese-developers@lists.alioth.debian.org>
 DM-Upload-Allowed: yes
-Uploaders: Asias He <asias.hejun@gmail.com> 
+Uploaders: Aron Xu <aron@debian.org>, Asias He <asias.hejun@gmail.com> 
 Build-Depends: debhelper (>= 7), cmake, libxml2-dev, libssl-dev, libsqlite3-dev, pkg-config
 Standards-Version: 3.9.2
 Homepage: http://code.google.com/p/ofetion/
