=== debian/watch ===
version=3
http://googlecode.debian.net/p/ofetion/libofetion-(\d+.*)\.tar\.gz
